blfwk::BusPal::BusPalConfigData Struct Reference

BusPal configuration data. More...

`#include <BusPal.h>`

## Public Member Functions

| BusPalConfigData (bus_pal_function_t bus=BusPal::kBusPalFunction_None)

## Public Attributes

bus_pal_function_t | function
uint32_t | spiSpeedKHz
spi_clock_polarity_t | spiPolarity
spi_clock_phase_t | spiPhase
spi_shift_direction_t | spiDirection
uint8_t | i2cAddress
uint32_t | i2cSpeedKHz
uint32_t | canSpeed
uint32_t | canTxid
uint32_t | canRxid
uint8_t | gpioPort
uint8_t | gpioPinNum
uint8_t | gpioLevel
uint8_t | gpioMux
uint32_t | fpgaClockMhz

## Detailed Description

BusPal configuration data.

The documentation for this struct was generated from the following file:

- BusPal.h